Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class AbsoluteCrossoverScalingControl

    java.lang.Object
      edu.uci.ics.jung.visualization.control.CrossoverScalingControl
          edu.uci.ics.jung.visualization.control.AbsoluteCrossoverScalingControl

All Implemented Interfaces:
  ScalingControl

public class AbsoluteCrossoverScalingControl
extends CrossoverScalingControl
implements ScalingControl

scales to the absolute value passed as an argument. It first resets the scaling transformers, then uses the relative CrossoverScalingControl to achieve the abolute value.

Author:
  Tom Nelson - RABA Technologies

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.CrossoverScalingControl
`crossover`

Constructor Summary
`AbsoluteCrossoverScalingControl()`

Method Summary
`void` | `scale(VisualizationViewer vv, float amount, Point2D at)` scale to the absolute value passed as 'amount'.

Methods inherited from class edu.uci.ics.jung.visualization.control.CrossoverScalingControl
`getCrossover, setCrossover`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsoluteCrossoverScalingControl

    public AbsoluteCrossoverScalingControl()

Method Detail

### scale

    public void scale(VisualizationViewer vv,
                      float amount,
                      Point2D at)

  scale to the absolute value passed as 'amount'.

  Specified by:
    `scale` in interface `ScalingControl`
  Overrides:
    `scale` in class `CrossoverScalingControl`
  See Also:
    `ScalingControl.scale(VisualizationViewer, float, Point2D)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD